Loading...
Searching...
No Matches
vspace::EnqueueEvent< T > Class Template Reference

`#include <vspace.h>`

## Public Member Functions

| EnqueueEvent (VRef< Queue< T > > queue)
virtual bool | start_listen (internals::ipc_signal_t sig)
virtual void | stop_listen ()
void | complete (T item)

## Private Attributes

VRef< Queue< T > > | _queue

## Detailed Description

template<typename T>
class vspace::EnqueueEvent< T >

Definition at line 2619 of file vspace.h.

## Constructor & Destructor Documentation

## EnqueueEvent()

template<typename T>

vspace::EnqueueEvent< T >::EnqueueEvent | ( | VRef< Queue< T > > | queue | ) |

inline

Definition at line 2624 of file vspace.h.

: _queue(queue) {
}
vspace::EnqueueEvent
Definition vspace.h:2619
vspace::EnqueueEvent::_queue
VRef< Queue< T > > _queue
Definition vspace.h:2621

## Member Function Documentation

## complete()

template<typename T>

void vspace::EnqueueEvent< T >::complete | ( | T | item | ) |

inline

Definition at line 2632 of file vspace.h.

{
_queue->enqueue_nowait(item);
}

## start_listen()

template<typename T>

virtual bool vspace::EnqueueEvent< T >::start_listen | ( | internals::ipc_signal_t | sig | ) |

inline virtual

Implements vspace::Event.

Definition at line 2626 of file vspace.h.

{
return _queue->_outgoing.start_wait(sig);
}

## stop_listen()

template<typename T>

virtual void vspace::EnqueueEvent< T >::stop_listen | ( |  | ) |

inline virtual

Implements vspace::Event.

Definition at line 2629 of file vspace.h.

{
_queue->_outgoing.stop_wait();
}

## Field Documentation

## _queue

template<typename T>

VRef<Queue<T> > vspace::EnqueueEvent< T >::_queue

private

Definition at line 2621 of file vspace.h.

The documentation for this class was generated from the following file:

- kernel/oswrapper/vspace.h